Bug 456223 - IPV6 over PPP problems
IPV6 over PPP problems
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: rp-pppoe (Show other bugs)
9
All Linux
low Severity low
: ---
: ---
Assigned To: Ngo Than
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-07-22 06:50 EDT by Johannes Deisenhofer
Modified: 2009-07-14 12:38 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 12:38:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Johannes Deisenhofer 2008-07-22 06:50:46 EDT
Description of problem:
On PPP Links that are IPV6 only, the initscripts fails

Version-Release number of selected component (if applicable):
rp-pppoe-3.8-3.fc9 and earlier

How reproducible:
Every Time

Steps to Reproduce:
1. Configure a PPP connection that does assign IPV6 but no IPV4
2. ifup <connection> 
  
Actual results:
Timeout of ifup in pppoe-status. Link will be 'half up', won't set route and
won't be persistent.


Expected results:
Link up without a timeout.

Additional info:
The calls hangs while repeatedly calling pppoe-status. Manually calling this
script with the same parameters shows:
pppoe-status: Link is attached to ppp6, but ppp6 is down

This is because for checking the status, in line 90, the result of 'netstat -rn'
is 'grep'ped, which in the IPV6-only-case does not contain any lines for the
interface.
Fix: Also grep the result of 'netstat -rn -A inet6' if first try fails. For some
reason, the result has extra characters after the interface name, so the $ has
to go from the grep argument.
Comment 1 Bug Zapper 2009-06-09 22:10:34 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Bug Zapper 2009-07-14 12:38:18 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.